{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Consultez au sein du blog toutes les informations en rapport avec le Pectus Excavatum."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Le blog du Pectus Excavatum"/>
	<meta property="og:description" content="Consultez au sein du blog toutes les informations en rapport avec le Pectus Excavatum."/>
{% endblock %}

{% block title %}Le blog du Pectus Excavatum
{% endblock %}

{% block body %}
	<section class="container blog">
		<div class="blog__breadcrumbs">
			{{ wo_render_breadcrumbs() }}
		</div>

		<h1 class="title title--1 center">Le blog du Pectus Excavatum</h1>

		{% if featuredArticles and not articles.items is same as([]) %}
			<h2 class="subtitle center">Découvrez les articles !</h2>
			<div class="blog__featured-list">
				{% for article in featuredArticles %}
					{% set category = article.categories|first %}
					{% include 'components/card/_card.html.twig' with {
						'big' : true,
						'path': {
							'name': 'blog_show',
							'args': {slug: article.slug}
						},
						'thumbnail': {
							'item': article,
							'alt': article.imageName
						},
						'title': article.title,
						'categories': category,
						'publishedAt': article.createdAt
					} %}
				{% endfor %}
			</div>

			<div class="blog__list">
				{% for article in articles %}
					{% set category = article.categories|first %}
					{% include 'components/card/_card.html.twig' with {
						'big' : false,
						'path': {
							'name': 'blog_show',
							'args': {slug: article.slug}
						},
						'thumbnail': {
							'item': article,
							'alt': article.imageName
						},
						'title': article.title,
						'categories': category,
						'publishedAt': article.createdAt
					} %}
				{% endfor %}
			</div>

			{{ knp_pagination_render(articles) }}
		{% else %}
			<p class="subtitle center">Aucun article n'a été publié à ce jour.</p>
		{% endif %}
	</section>
{% endblock %}
